@component('panel.layouts.component', ['title' => 'ثبت محصول جدید'])

    @slot('style')
        <style>
            .card-header {
                text-align: center !important;
            }

            .form-control {

                background-color: hsl(315, 22%, 86%);
            }

            .required {
                color: red;
            }

            .py-5 {
                padding-top: 0 !important;
            }

            select2 {
                background-color: hsl(315, 22%, 86%);
            }
            .photo{
                border: 0px ;background-color: #fff;
            }
        </style>
    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ثبت محصول جدید </h1>
        <p>ثبت محصول جدید در فروشگاه.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item">محصولات</li>
    @endslot

    @slot('content')
        <div class="auth-background h-auto py-5">
            <div class="container py-5">
                <div class="row align-items-center ">
                    <div class="col-lg-11 col-md-11 mx-auto">
                        <div class="card">
                            <div class="card-header"><strong>{{ __('ثبت محصول جدید') }}</strong></div>
                            @component('product::components.message')
                            @endcomponent
                            <div class="card-body mx-lg-5 px-lg-3">
                                <form method="POST" action="{{ route('products.store') }}" enctype="multipart/form-data">
                                    @csrf

                                    <div class="form-group">
                                        <label for="title">{{ __('product.title') }}</label><i class="required">&nbsp;
                                            *</i>
                                        <input id="title" type="text"
                                               class="form-control @error('title') is-invalid @enderror" name="title"
                                               value="{{ old('title') }}" autocomplete="title" autofocus>

                                        @error('title')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror

                                    </div>

                                    <div class="form-group">
                                        <label for="title">{{ __('product.slug') }}</label>
                                        <input type="text" name="slug"
                                               class="form-control @error('slug') is-invalid  @enderror"
                                               value="{{old('slug')}}" autocomplete="slug" autofocus>
                                        @error('slug')
                                        <div class="alert alert-danger">{{$message}}</div>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        <label for="sku">{{ __('product.sku') }}</label>
                                        <input id="sku" type="text"
                                               class="form-control @error('sku') is-invalid @enderror" name="sku"
                                               autocomplete="sku" value="{{ old('sku') }}" autofocus>

                                        @error('sku')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        <label for="title">{{ __('product.price') }}</label><i class="required">&nbsp;
                                            *</i>
                                        <input id="input.price" type="text"
                                               class="form-control price @error('price') is-invalid @enderror"
                                               name="price"
                                               value="{{ old('price') }}" autocomplete="price" autofocus>

                                        @error('price')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror

                                    </div>

                                    <div class="form-group">
                                        <label for="sale_price">@lang('product.sale_price')</label>
                                        <input id="sale_price" type="text"
                                               class="form-control price @error('sale_price') is-invalid @enderror"
                                               name="sale_price"
                                               value="{{ old('sale_price') }}" autocomplete="sale_price" autofocus>

                                        @error('sale_price')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>

                                    <div class="form-group">
                                        <label for="type">{{ __('product.type') }}</label></label><i class="required">&nbsp;
                                            *</i>
                                        <select id="type" type="text"
                                                class="form-control @error('type') is-invalid @enderror" name="type"
                                                value="{{ old('type') }}" autocomplete="type">
                                            <option value="">انتخاب کنید</option>
                                            <option value="0"  {{ (old('type') == '0') ? 'selected' : '' }}>ساده</option>
                                            <option value="1"  {{ (old('type') == '1') ? 'selected' : '' }}>متغیر</option>
                                            <option value="2"  {{ (old('type') == '2') ? 'selected' : '' }}>باندل</option>
                                        </select>

                                        @error('type')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>

                                    <div class="form-group">
                                        <label for="status">{{ __('product.status') }}</label><i class="required">&nbsp;
                                            *</i>
                                        <select id="status" type="text"
                                                class="form-control  @error('status') is-invalid @enderror"
                                                name="status"
                                                 autocomplete="status">
                                            <option value="">انتخاب کنید</option>
                                            <option value="1" {{ (old('status') == '1') ? 'selected' : '' }}>موجود</option>
                                            <option value="0" {{ (old('status') == '0') ? 'selected' : '' }}>ناموجود</option>
                                        </select>
                                        @error('status')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        <label for="discription">{{ __('product.discription') }}</label></label><i
                                            class="required">&nbsp; *</i>
                                        <textarea id="discription" type="text"
                                                  class="form-control  @error('discription') is-invalid @enderror"
                                                  name="discription"

                                                  autocomplete="discription"
                                                  autofocus>{{ old('discription') }}</textarea>

                                        @error('discription')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        <label for="categories">{{ __('product.categories') }}</label><i
                                            class="required">&nbsp; *</i>
                                        <select id=""
                                                class="form-control select2 @error('categories') is-invalid @enderror"
                                                name="categories[]" multiple>

                                            <option value="">انتخاب کنید</option>
                                            @foreach($categories as $cat)
                                                <option value="{{$cat->id }}">{{$cat->title}}</option>
                                            @endforeach
                                        </select>
                                        @error('categories')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror

                                    </div>
                                    <div class="form-group">
                                        <label for="title">{{ __('product.photo') }}</label><i
                                            class="required">&nbsp; *</i>
                                        <input type="file" name="photo" id="photo"

                                               class="form-control photo @error('photo') is-invalid  @enderror"
                                               value="{{old('photo')}}" autocomplete="photo" autofocus >
                                        @error('photo')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                    <div class="form-group mb-0">
                                        <div class="">
                                            <button type="submit" class="btn btn-primary">
                                                {{ __('ثبت محصول') }}
                                            </button>

                                            <a href={{ route('products.index') }} type="button" class="btn btn-warning">
                                                انصراف</a>

                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="card-footer">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endslot

    @slot('script')

    @endslot

@endcomponent

